Bug 1040303 (CVE-2017-9141)

Summary: VUL-1: CVE-2017-9141: ImageMagick: missing checks in the ReadDDSImage function in coders/dds.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: abergmann, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/185678/
Whiteboard: CVSSv3:SUSE:CVE-2017-9141:4.0:(AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L) CVSSv2:SUSE:CVE-2017-9141:2.1:(AV:L/AC:L/Au:N/C:N/I:N/A:P) CVSSv3:RedHat:CVE-2017-9141:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv2:NVD:CVE-2017-9141:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv3:NVD:CVE-2017-9141:6.5:(AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2017-05-23 08:11:23 UTC
CVE-2017-9141

In ImageMagick 7.0.5-7 Q16, a crafted file could trigger an assertion failure in
the ResetImageProfileIterator function in MagickCore/profile.c because of
missing checks in the ReadDDSImage function in coders/dds.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9141
http://www.cvedetails.com/cve/CVE-2017-9141/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9141
https://github.com/ImageMagick/ImageMagick/issues/489
https://github.com/ImageMagick/ImageMagick/commit/f5910e91b0778e03ded45b9022be8eb8f77942cd
Comment 2 Petr Gajdos 2017-05-30 14:23:57 UTC
I do not get assertion failure neither with ImageMagick nor with GraphicsMagick.

For Tumbleweed/ImageMagick, 12/ImageMagick and 11/ImageMagick, I get

$ convert assertion-failed-in-ResetImageProfileIterator-profile1303 foo.bmp
040303: memory allocation failed `foo.bmp' @ error/bmp.c/WriteBMPImage/1699.
$

For 42.2/GraphicsMagick and 11/GraphicsMagick I get:

$ gm convert assertion-failed-in-ResetImageProfileIterator-profile1303 foo.bmp
gm convert: Improper image header (assertion-failed-in-ResetImageProfileIterator-profile1303).
$
Comment 3 Petr Gajdos 2017-05-30 14:25:50 UTC
Correction, for 11/GraphicsMagick I get:

$ gm convert assertion-failed-in-WriteBlob-blob5171 foo.bmp  
gm convert: Request did not return an image.
$
Comment 4 Petr Gajdos 2017-05-31 06:57:19 UTC
Ah, I see -- GraphicsMagick does not have dds decoder.
Comment 5 Petr Gajdos 2017-05-31 07:00:33 UTC
Affected: 11/ImageMagick and 12/ImageMagick

(both versions have the code and missing the check)
Comment 6 Petr Gajdos 2017-05-31 14:12:26 UTC
I believe all fixed.
Comment 8 Swamp Workflow Management 2017-06-06 16:14:25 UTC
SUSE-SU-2017:1489-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
Comment 9 Swamp Workflow Management 2017-06-14 13:14:23 UTC
openSUSE-SU-2017:1560-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.3.1
Comment 10 Swamp Workflow Management 2017-06-19 10:12:55 UTC
SUSE-SU-2017:1599-1: An update that fixes 25 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1033091,1034870,1034872,1034876,1036976,1036978,1036980,1036981,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2014-9846,CVE-2016-10050,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
Comment 11 Marcus Meissner 2017-08-25 12:44:52 UTC
released